	.explicit
	.pred.safe_across_calls p1-p5,p16-p63
	.text
	.globl	_start#
	.proc	_start#
_start:
	addl	r14 = @ltoff(@tprel(sG2#)), gp
	;;
	ld8	r14 = [r14]
	;;
	add	r14 = r14, r13
	;;

	addl	r14 = @ltoff(@tprel(bl1#)), gp
	;;
	ld8	r14 = [r14]
	;;
	add	r14 = r14, r13
	;;

	mov	r2 = r13
	;;
	addl	r14 = @tprel(sg1#), r2
	addl	r15 = @tprel(bl2#) + 2, r2
	;;
	adds	r14 = @tprel(sh2#) + 3, r13
	movl	r15 = @tprel(bl2#) + 1
	;;
	br.call.sptk.many b0 = foo#
	;;

	br.ret.sptk.many b0;
	.endp	_start#
